﻿using System;
using System.Web.UI;

namespace TestProject
{
    /// <summary>
    /// 상태 페이지
    /// </summary>
    public partial class StatePage : Page
    {
        //////////////////////////////////////////////////////////////////////////////////////////////////// Method
        ////////////////////////////////////////////////////////////////////////////////////////// Protected

        #region 페이지 로드시 처리하기 - Page_Load(sender, e)

        /// <summary>
        /// 페이지 로드시 처리하기
        /// </summary>
        /// <param name="sender">이벤트 발생자</param>
        /// <param name="e">이벤트 인자</param>
        protected void Page_Load(object sender, EventArgs e)
        {
            this.applicationTextBox.Text = Application["Now"].ToString();

            this.sessionTextBox.Text = Session["Now"].ToString();

            if(Cache["Now"] != null)
            {
                this.cacheTextBox.Text = Cache["Now"].ToString();
            }

            if(Request.Cookies["Now"] != null)
            {
                this.cookieTextBox.Text =  Server.UrlDecode(Request.Cookies["Now"].Value);
            }

            if(ViewState["Now"] != null)
            {
                this.viewStateTextBox.Text = ViewState["Now"].ToString();
            }
        }

        #endregion
    }
}